Bug 1413173 - [abrt] weston: weston killed by SIGSEGV
Summary: [abrt] weston: weston killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: weston
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:46e1d47ff5ec3b73796b44f0384...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 19:53 UTC by Lorenzo Pistone
Modified: 2017-12-12 10:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:05:16 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (10.69 KB, text/plain)
2017-01-13 19:53 UTC, Lorenzo Pistone
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-13 19:53 UTC, Lorenzo Pistone
no flags Details
File: core_backtrace (262 bytes, text/plain)
2017-01-13 19:53 UTC, Lorenzo Pistone
no flags Details
File: dso_list (5.09 KB, text/plain)
2017-01-13 19:53 UTC, Lorenzo Pistone
no flags Details
File: environ (1.22 KB, text/plain)
2017-01-13 19:53 UTC, Lorenzo Pistone
no flags Details
File: exploitable (93 bytes, text/plain)
2017-01-13 19:53 UTC, Lorenzo Pistone
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-13 19:53 UTC, Lorenzo Pistone
no flags Details
File: maps (24.60 KB, text/plain)
2017-01-13 19:53 UTC, Lorenzo Pistone
no flags Details
File: mountinfo (3.30 KB, text/plain)
2017-01-13 19:53 UTC, Lorenzo Pistone
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-13 19:53 UTC, Lorenzo Pistone
no flags Details
File: open_fds (2.25 KB, text/plain)
2017-01-13 19:53 UTC, Lorenzo Pistone
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-01-13 19:53 UTC, Lorenzo Pistone
no flags Details
File: var_log_messages (303 bytes, text/plain)
2017-01-13 19:53 UTC, Lorenzo Pistone
no flags Details

Description Lorenzo Pistone 2017-01-13 19:53:14 UTC
Description of problem:
launched weston from lightdm.

Version-Release number of selected component:
weston-1.12.0-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 3
cmdline:        weston
executable:     /usr/bin/weston
global_pid:     3985
kernel:         4.8.16-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 ??
 #1 dri2_make_current at drivers/dri2/egl_dri2.c:1288
 #2 eglMakeCurrent at main/eglapi.c:814
 #3 gl_renderer_destroy at libweston/gl-renderer.c:2640
 #4 weston_compositor_shutdown at libweston/compositor.c:4826
 #5 drm_backend_create at libweston/compositor-drm.c:3253
 #6 backend_init at libweston/compositor-drm.c:3280
 #7 load_drm_backend at compositor/main.c:1037
 #8 load_backend at compositor/main.c:1540

Comment 1 Lorenzo Pistone 2017-01-13 19:53:18 UTC
Created attachment 1240477 [details]
File: backtrace

Comment 2 Lorenzo Pistone 2017-01-13 19:53:19 UTC
Created attachment 1240478 [details]
File: cgroup

Comment 3 Lorenzo Pistone 2017-01-13 19:53:20 UTC
Created attachment 1240479 [details]
File: core_backtrace

Comment 4 Lorenzo Pistone 2017-01-13 19:53:22 UTC
Created attachment 1240480 [details]
File: dso_list

Comment 5 Lorenzo Pistone 2017-01-13 19:53:23 UTC
Created attachment 1240481 [details]
File: environ

Comment 6 Lorenzo Pistone 2017-01-13 19:53:24 UTC
Created attachment 1240482 [details]
File: exploitable

Comment 7 Lorenzo Pistone 2017-01-13 19:53:25 UTC
Created attachment 1240483 [details]
File: limits

Comment 8 Lorenzo Pistone 2017-01-13 19:53:27 UTC
Created attachment 1240484 [details]
File: maps

Comment 9 Lorenzo Pistone 2017-01-13 19:53:29 UTC
Created attachment 1240485 [details]
File: mountinfo

Comment 10 Lorenzo Pistone 2017-01-13 19:53:30 UTC
Created attachment 1240486 [details]
File: namespaces

Comment 11 Lorenzo Pistone 2017-01-13 19:53:32 UTC
Created attachment 1240487 [details]
File: open_fds

Comment 12 Lorenzo Pistone 2017-01-13 19:53:33 UTC
Created attachment 1240488 [details]
File: proc_pid_status

Comment 13 Lorenzo Pistone 2017-01-13 19:53:34 UTC
Created attachment 1240489 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 15:36:56 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:05:16 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.